# 
# Copyright 2018-2028 WindChat Group
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License. 
#

########################################################
###  *************** WindChat ***************
###             windchat-server
########################################################



## personal/PERSONAL edition      : use sqlite database
## team/TEAM edition              : use mysql database,support one master with several slaves
## enterprise/ENTERPRISE edition  : use mysql + redis database ,support im server distribution
## ultimate edition               : team or enterprise customization

windchat.edition=TEAM


# openzaly version
windchat.version=1.1.7

##### site tcp address,clients connect to site.address 
windchat.address=0.0.0.0
# site tcp port default 2021
windchat.port=2021

# pluginapi server address
windchat.api.address=0.0.0.0
# pluginapi server port
windchat.api.port=8280

# default back-stage management address
windchat.admin.address=127.0.0.1
# default back-stage management port
windchat.admin.port=8288

# first user login site,use this user invite code(UIC)
windchat.uic=000000

# deposit pictures,audio,db default current path
# windchat.baseDir=${pwd}

## if windchat.edition = personal/PERSONAL OR migrate sqlite to mysql
##windchat.sqlite.url=windchatDB.sqlite3


## if windchat.edition = team/TEAM
##***************mysql master************** 
##windchat.mysql.host=localhost
##windchat.mysql.port=3306
##windchat.mysql.database=windchat

##windchat.mysql.username=root
##windchat.mysql.password=1234567890

windchat.mysql.initial-size=10
windchat.mysql.max-size=100
windchat.mysql.max-idle=60

windchat.mysql.useUnicode=true
windchat.mysql.characterEncoding=utf-8
windchat.mysql.verifyServerCertificate=false
windchat.mysql.useSSL=true

##***************mysql slave**************
##windchat.mysql.slave.host=localhost
##windchat.mysql.slave.port=3306
##windchat.mysql.slave.database=windchat

##windchat.mysql.slave.username=root
##windchat.mysql.slave.password=1234567890
##windchat.mysql.slave.initial-size=10
##windchat.mysql.slave.max-size=100
##windchat.mysql.slave.max-idle=60

##windchat.mysql.slave.useUnicode=true
##windchat.mysql.slave.characterEncoding=utf-8
##windchat.mysql.slave.verifyServerCertificate=false
##windchat.mysql.slave.useSSL=true


## if windchat.edition = enterprise/ENTERPRISE
#### support support im server distribution

## if windchat.edition = ultimate edition
#### windchat support customed for team or enterprise


